Ubuntu14.04升级到16.04后运行filezilla、rappidsvn、codeblocks错误解决记录

由于虚拟机处理3D建模和3D编程显示,没有显卡,过于卡顿。把物理机的显卡弄到虚拟上呢,那我物理机上原有的视频剪辑工具使用又不方便,又得将显卡重虚拟机中弄出来。经过一番纠结后,终于下定决心把物理机的Ubuntu14.04升级到跟虚拟机的Ubuntu16.04环境一样,把虚拟的的环境部署到物理机,也就不用经常切换了。

╮(╯▽╰)╭之前一直不愿升级物理系统的原因是担心升级后各种软件用不了,担心需要话较长的时间处理,结果证明担心是多余的,因为升级后只有filezilla和rapidsvn以及codeblocks三个软件出问题,其他都能正常使用。

 

在运行filez和rapidsvn的时候,总是报了以下错误

一开始有点懵逼,把libwxbase,libwxgtk等2.8版本和3.0版本都一通乱重装后,还是没有解决问题。

突然,想起wxWidget之前是手动编译安装,之前编译的g++版本是4.8,系统升级后g++版本编程了5.4,先不管了,于是重新手动编译安装了wxWidget,没想到再次运行filezilla和rapidSVN就可以了。这里面,可能是之前编译的wxWidget的库,调用了更新系统后的系统库,所以就出错了。

 

在解决codeblocks的时候就比较粗暴了,由于之前装的codeblocks是13.01版本的,本来也不想用这个版本了,于是就重装升级到16.01,安装完毕后,重新打开,能正常运行使用。

展开阅读全文

没有更多推荐了,返回首页